﻿<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net6.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper" Version="12.0.1" />
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
		<PackageReference Include="AWSSDK.SimpleEmail" Version="3.7.100.22" />
		<PackageReference Include="Azure.Storage.Blobs" Version="12.15.0" />
		<PackageReference Include="FluentEmail.Razor" Version="3.0.2" />
		<PackageReference Include="Humanizer" Version="2.14.1" />
		<PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.26">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
		<PackageReference Include="Shouldly" Version="4.1.0" />
		<PackageReference Include="ScottBrady91.AspNetCore.Identity.Argon2PasswordHasher" Version="1.4.0" />
		<PackageReference Include="SendGrid" Version="9.28.1" />
		<PackageReference Include="SendGrid.Extensions.DependencyInjection" Version="1.0.1" />
		<PackageReference Include="Stripe.net" Version="41.16.0" />
		<PackageReference Include="System.Configuration.ConfigurationManager" Version="7.0.0" />
		<PackageReference Include="System.Drawing.Common" Version="7.0.0" />
		<PackageReference Include="System.Management" Version="7.0.0" />
		<PackageReference Include="WindowsAzure.Storage" Version="9.3.3" />
		<PackageReference Include="Xero.NetStandard.OAuth2" Version="3.31.0" />
		<PackageReference Include="Xero.NetStandard.OAuth2Client" Version="1.6.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Application\Application.csproj" />
		<ProjectReference Include="..\Domain\Domain.csproj" />
		<ProjectReference Include="..\Persistence\Persistence.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="ExternalApis\" />
	</ItemGroup>

</Project>
